<p>Umjesto da se isključivo zadaju vrhovi kontrolnog poligona, Bezierovu krivulju <i>n</i>-tog stupnja moguće je općenito zadati navođenjem (<i>n+1</i>) ograničenja na krivulju. Najjednostavniji slučaj je kada je tih (<i>n+1</i>) ograničenje upravo određeno navođenjem (<i>n+1</i>) točke.</p>

<p>Primjerice, želimo li da krivulja prođe kroz \(n+1\) točku, govorimo o interpolacijskoj Bezierovoj krivulji stupnja \(n\). Pokazali smo dva načina na koja možemo doći do matrice koja određuje krivulju, a najjednostavniji je bio generirati sustav od \(n+1\) jednadžbe koji smo riješili matrično; postavili smo uvjete da točka za vrijednost parametra \(i/n\) mora proći kroz točku \(\vec p_i\).</p>

<p>Idemo sada isprobati nešto drugo: želimo pronaći krivulju koja počinje u točki \(\vec p_0 = \left[ \begin{array}{cc} 1 &amp; 2 \end{array} \right]\), završava u \(\vec p_1 = \left[ \begin{array}{cc} 6 &amp; -1 \end{array} \right]\), te u posljednjoj točki ima tangencijalni vektor \(\vec v(1) = \left[ \begin{array}{cc} -1 &amp; -33 \end{array} \right]\) (tj. strmo pada).</p>

<p>Zadali smo tri uvjeta. Njima je jednoznačno određena Bezierova krivulja drugog stupnja. Opći oblik ove krivulje glasi:
\[
\begin{align*}
  \vec p(t) &amp;= \mathcal{T}(t) \cdot \textbf{K} \\
  &amp;= \left[ \begin{array}{ccc} t^2 &amp; t &amp; 1 \end{array} \right] \cdot \textbf{K} \\
\end{align*}
\]
gdje je matrica \(\textbf{K}\) dimenzija \(3 \times 2\). Tangencijalni vektor ove krivulje također znamo odrediti - deriviramo samo vektor potencija parametra \(\mathcal{T}(t)\), pa vrijedi:
\[
  \vec v(t) = \left[ \begin{array}{ccc} 2t &amp; 1 &amp; 0 \end{array} \right] \cdot \textbf{K}
\]
Postavljanjem zadanih uvjeta imamo:
\[
\begin{align*}
 \left[ \begin{array}{cc} 1 &amp; 2 \end{array} \right] &amp;= \vec p(0) &amp;= \left[ \begin{array}{ccc} 0 &amp; 0 &amp; 1 \end{array} \right] \cdot \textbf{K} \\

 \left[ \begin{array}{cc} 6 &amp; -1 \end{array} \right] &amp;= \vec p(1) &amp;= \left[ \begin{array}{ccc} 1 &amp; 1 &amp; 1 \end{array} \right] \cdot \textbf{K} \\

 \left[ \begin{array}{cc} -1 &amp; -33 \end{array} \right] &amp;= \vec v(1) &amp;= \left[ \begin{array}{ccc} 2 &amp; 1 &amp; 0 \end{array} \right] \cdot \textbf{K}
\end{align*}
\]
Što daje sustav:
\[
\left[ \begin{array}{cc} 1 &amp; 2 \\ 6 &amp; -1 \\ -1 &amp; -33 \end{array} \right] =
\left[ \begin{array}{ccc} 0 &amp; 0 &amp; 1 \\ 1 &amp; 1 &amp; 1 \\ 2 &amp; 1 &amp; 0 \end{array} \right] \cdot \textbf{K}
\]
Pa slijedi:
\[
\begin{align*}
\textbf{K} &amp;= 
\left[ \begin{array}{ccc} 0 &amp; 0 &amp; 1 \\ 1 &amp; 1 &amp; 1 \\ 2 &amp; 1 &amp; 0 \end{array} \right]^{-1} \cdot
\left[ \begin{array}{cc} 1 &amp; 2 \\ 6 &amp; -1 \\ -1 &amp; -33 \end{array} \right] \\
 &amp;= 
\left[ \begin{array}{ccc} 1 &amp; -1 &amp; 1 \\ -2 &amp; 2 &amp; -1 \\ 1 &amp; 0 &amp; 0 \end{array} \right]^{-1} \cdot
\left[ \begin{array}{cc} 1 &amp; 2 \\ 6 &amp; -1 \\ -1 &amp; -33 \end{array} \right] \\
 &amp;= 
\left[ \begin{array}{cc} -6 &amp; -30 \\ 11 &amp; 27 \\ 1 &amp; 2 \end{array} \right]
\end{align*}
\]
i tu smo krivulju već imali u računskom primjeru gdje smo tražili aproksimacijsku Bezierovu krivulju koja interpolira tri zadane točke. Vratite se na taj primjer i pronađite koja je bila središnja točka kontrolnog poligona. Koliko iznosi dvostruka razlika posljednje i pretposljednje točke kontrolnog poligona? Usporedite je sa zadanim tangencijalnim vektorom u ovom zadatku.
</p>

